libbase64 -- installation instructions
======================================

Requirements
------------

- C99 (at least `EILSEQ` has to be available as errno constant).

Embed
-----

Copy base64.h and base64.c to your project.

Installation
------------

The module is small enough to be incorporated verbatim into your project, but it
still possible to install it system wide.

### Using CMake (recommended)

Using [CMake][cmake] you get proper CMake package configuration files, shared
libraries and `pkg-config` files.

	$ cmake -S . -B build -DBUILD_SHARED_LIBS=On
	$ cmake --build build
	# cmake --build build --target install

Turn `BUILD_SHARED_LIBS` to *Off* if you don't want shared libraries.

Then, you can import `base64` and use on of the imported targets:

- `base64::libbase64`: shared if available, static otherwise,
- `base64::libbase64-shared`: shared version,
- `base64::libbase64-static`: static version.

Example:

	cmake_minimum_required(VERSION 3.20)
	project(example)
	find_package(base64 REQUIRED)
	add_executable(example example.c)
	target_link_libraries(example base64::libbase64)

### Using POSIX make (not recommended)

POSIX make (not recommended, only static library):

	$ make
	# make install

The test suite is available using:

	$ make tests

[cmake]: http://cmake.org
